import request, { postBlob, getBlob, handleImport } from '@/utils/request'

// 获取列表
export function listPageV2(data) {
  return request({
    url: `/engin/project/repair/list?moduleId=${data.moduleId}`,
    method: 'post',
    data
  })
}

//导出
export function pageExport(data, name) {
  return postBlob({
    url: '/engin/project/repair/list/export',
    data,
    name
  })
}

// 保存
export function save(data) {
  return request({
    url: `/engin/project/repair/save`,
    method: 'post',
    data
  })
}

// 详情
export function getDetail(params) {
  return request({
    url: `/engin/project/repair/detail`,
    method: 'post',
    params
  })
}